Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 454018 - Review Request: tcl-tkpng - Tcl/Tk support for PNG
Summary: Review Request: tcl-tkpng - Tcl/Tk support for PNG
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 454022
TreeView+ depends on / blocked
 
Reported: 2008-07-03 20:18 UTC by Tom "spot" Callaway
Modified: 2009-03-13 18:42 UTC (History)
4 users (show)

Fixed In Version: 0.9-3.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-03-13 18:35:19 UTC
dakingun: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2008-07-03 20:18:57 UTC
Spec URL: http://auroralinux.org/people/spot/review/coccinella/tcl-tkpng.spec
SRPM URL: http://auroralinux.org/people/spot/review/coccinella/tcl-tkpng-0.9-1.fc10.src.rpm
Description: 
TkPNG is an open source package that adds PNG photo image support to Tcl/Tk.
Although other extensions such as Img also add support for PNG images, this
package was designed to be lightweight, not depending on libpng nor
implementing other image formats, and suitable for inclusion in the Tk core.
Tk does not currently have native support for any image formats that allow
for alpha (partial-transparency) channels, although it does have support for
alpha blending internally.

Comment 1 Jeff Moe (jebba) 2008-10-30 22:29:36 UTC
For building on my f9-ish system it needs:
BuildRequires: zlib-devel

Comment 3 Deji Akingunola 2009-03-07 03:48:34 UTC
== REVIEW ==

- package follows naming guidelines
- package follows general packaging guidelines
- package follows the tcl packaging guidlines
- licensing: TCL
- source matches upstream
  43347d3d805a5bf3ff428ed812834230  rpmbuild/SOURCES/tkpng0.9.tgz
- package compiles on F10 x86_64
- package contains no locales
- spec file uses macros consistently
- rpmlint run on packages' src.rpm and binary rpm without warnings or errors

OBSERVATION:
Package build log shows 'checking if 64bit support is requested... no' during the configure stage. While I'm not sure what the implication of that is (or might be) for the package, the 64bit support can be turned on by passing '--enable-64bit' option to the configure script.

APPROVED.

Comment 4 Tom "spot" Callaway 2009-03-12 20:38:15 UTC
New Package CVS Request
=======================
Package Name: tcl-tkpng
Short Description: Tcl/Tk support for PNG
Owners: spot
Branches: F-9 F-10 devel
InitialCC: 

... and it's done.

Comment 5 Fedora Update System 2009-03-12 21:06:52 UTC
tcl-tkpng-0.9-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tcl-tkpng-0.9-3.fc9

Comment 6 Fedora Update System 2009-03-12 21:06:58 UTC
tcl-tkpng-0.9-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tcl-tkpng-0.9-3.fc10

Comment 7 Fedora Update System 2009-03-13 18:35:14 UTC
tcl-tkpng-0.9-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-03-13 18:41:58 UTC
tcl-tkpng-0.9-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.